﻿/*  For more information on this example visit the article to this code on my blog at 
 *  http://www.ticklishtechs.net/2008/04/12/to-restrict-dynamically-the-usage-of-domain-properties-in-dsl-models/ */

using BenjaminSchroeter.Dsl.UserRestrictions;

namespace BenjaminSchroeter.RestrictPropertiesExample
{
    [RestrictedProperty((int)RestrictionModes.Simple,"P1", Restriction.Hidden)]
    [RestrictedProperty((int)RestrictionModes.Simple,"P2", Restriction.ReadOnly)]
    [RestrictedProperty((int)RestrictionModes.Simple,"P3", Restriction.ReadOnly)]

    [RestrictedProperty((int)RestrictionModes.Advanced,"P1", Restriction.Full)]
    [RestrictedProperty((int)RestrictionModes.Advanced,"P2", Restriction.Full)]
    [RestrictedProperty((int)RestrictionModes.Advanced,"P3", Restriction.ReadOnly)]
    partial class ExampleModel
    {
    }
}
